| Home | Libraries | People | FAQ | More

## Function template is_partitioned_until

boost::algorithm::is_partitioned_until — Tests to see if a sequence is partitioned according to a predicate. In other words, all the items in the sequence that satisfy the predicate are at the beginning of the sequence.

## Synopsis

    // In header: <boost/algorithm/is_partitioned_until.hpp>

    template<typename Range, typename UnaryPredicate>
      boost::range_iterator< constRange >::type
      is_partitioned_until(const Range & r, UnaryPredicate p);

## Description

| Note
Returns the first iterator 'it' in the sequence [first, last) for which is_partitioned(first, it, p) is false. Returns last if the entire sequence is partitioned. Complexity: O(N).

Parameters:

`r` | The input range
`p` | The predicate to test the values with